Accounting 50 endpoints

GET /Invoices/{InvoiceID}/Attachments/{AttachmentID}
operationId: Accounting_getAttachment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

InvoiceID path optional string

Unique identifier for an Invoice

AttachmentID path optional string

Unique identifier for Attachment object

contentType header optional string

The mime type of the attachment file you are retrieving i.e image/jpg, application/pdf

Responses

200

Success - return response of attachment for Invoice as binary data

GET /Invoices/{InvoiceID}/Attachments/{AttachmentID}
GET /Invoices/{InvoiceID}/Attachments/{FileName}
operationId: Accounting_getAttachmentByFileName

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

InvoiceID path optional string

Unique identifier for an Invoice

FileName path optional string

Name of the attachment

contentType header optional string

The mime type of the attachment file you are retrieving i.e image/jpg, application/pdf

Responses

200

Success - return response of attachment for Invoice as binary data

GET /Invoices/{InvoiceID}/Attachments/{FileName}
POST /Invoices/{InvoiceID}/Attachments/{FileName}
operationId: Accounting_updateAttachment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

InvoiceID path optional string

Unique identifier for an Invoice

FileName path optional string

Name of the attachment

Request Body

required

Byte array of file in body of request

application/octet-stream
schema AccountingUpdateAttachmentRequest
string

Responses

200

Success - return response of type Attachments array with updated Attachment

400

A failed request due to validation error

POST /Invoices/{InvoiceID}/Attachments/{FileName}
PUT /Invoices/{InvoiceID}/Attachments/{FileName}
operationId: Accounting_createAttachment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

InvoiceID path optional string

Unique identifier for an Invoice

FileName path optional string

Name of the attachment

IncludeOnline query optional boolean

Allows an attachment to be seen by the end customer within their online invoice

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required

Byte array of file in body of request

application/octet-stream
schema AccountingCreateAttachmentRequest1
string

Responses

200

Success - return response of type Attachments array with newly created Attachment

400

A failed request due to validation error

PUT /Invoices/{InvoiceID}/Attachments/{FileName}
POST /Invoices/{InvoiceID}/Email
operationId: Accounting_sendInvoiceByEmail

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

InvoiceID path optional string

Unique identifier for an Invoice

Request Body

required
application/json
schema RequestEmpty
Property Type Required
Status string optional

Responses

204

Success - return response 204 no content

400

A failed request due to validation error

POST /Invoices/{InvoiceID}/Email
GET /Invoices/{InvoiceID}/History
operationId: Accounting_getInvoiceHistory

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

InvoiceID path optional string

Unique identifier for an Invoice

Responses

200

Success - return response of HistoryRecords array of 0 to N HistoryRecord

GET /Invoices/{InvoiceID}/History
PUT /Invoices/{InvoiceID}/History
operationId: Accounting_createInvoiceHistory

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

InvoiceID path optional string

Unique identifier for an Invoice

Request Body

HistoryRecords containing an array of HistoryRecord objects in body of request

application/json
schema HistoryRecords
Property Type Required
HistoryRecords array optional
User string optional
Changes string optional
DateUTC string optional
Details string optional

Responses

200

Success - return response of type HistoryRecords array of HistoryRecord objects

400

A failed request due to validation error

PUT /Invoices/{InvoiceID}/History
GET /Invoices/{InvoiceID}/OnlineInvoice
operationId: Accounting_getOnlineInvoiceUrl

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

InvoiceID path optional string

Unique identifier for an Invoice

Responses

200

Success - return response of type OnlineInvoice array with one OnlineInvoice

GET /Invoices/{InvoiceID}/OnlineInvoice
GET /Invoices/{InvoiceID}/pdf
operationId: Accounting_getInvoicePdf

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

InvoiceID path optional string

Unique identifier for an Invoice

Responses

200

Success - return response of byte array pdf version of specified Invoices

GET /Invoices/{InvoiceID}/pdf
GET /Items
operationId: Accounting_getItems

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

If-Modified-Since header optional string

Only records created or modified since this timestamp will be returned

where query optional string

Filter by an any element

order query optional string

Order by an any element

unitdp query optional integer

e.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

Responses

200

Success - return response of type Items array with all Item

GET /Items
POST /Items
operationId: Accounting_updateItems

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

summarizeErrors query optional boolean

If false return 200 OK and mix of successfully created objects and any with validation errors

unitdp query optional integer

e.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required
application/json
schema Items
Property Type Required
Items array optional
Code string required
Name string optional
IsSold boolean optional
ItemID string optional
Description string optional
IsPurchased boolean optional
SalesDetails object optional
TaxType string optional
UnitPrice number optional
AccountCode string optional
COGSAccountCode string optional
TotalCostPool number optional
QuantityOnHand number optional
UpdatedDateUTC string optional
PurchaseDetails object optional
TaxType string optional
UnitPrice number optional
AccountCode string optional
COGSAccountCode string optional
ValidationErrors array optional
Message string optional
PurchaseDescription string optional
IsTrackedAsInventory boolean optional
StatusAttributeString string optional
InventoryAssetAccountCode string optional

Responses

200

Success - return response of type Items array with newly created Item

400

A failed request due to validation error

POST /Items
PUT /Items
operationId: Accounting_createItems

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

summarizeErrors query optional boolean

If false return 200 OK and mix of successfully created objects and any with validation errors

unitdp query optional integer

e.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required

Items with an array of Item objects in body of request

application/json
schema Items
Property Type Required
Items array optional
Code string required
Name string optional
IsSold boolean optional
ItemID string optional
Description string optional
IsPurchased boolean optional
SalesDetails object optional
TaxType string optional
UnitPrice number optional
AccountCode string optional
COGSAccountCode string optional
TotalCostPool number optional
QuantityOnHand number optional
UpdatedDateUTC string optional
PurchaseDetails object optional
TaxType string optional
UnitPrice number optional
AccountCode string optional
COGSAccountCode string optional
ValidationErrors array optional
Message string optional
PurchaseDescription string optional
IsTrackedAsInventory boolean optional
StatusAttributeString string optional
InventoryAssetAccountCode string optional

Responses

200

Success - return response of type Items array with newly created Item

400

A failed request due to validation error

PUT /Items
DELETE /Items/{ItemID}
operationId: Accounting_deleteItem

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ItemID path optional string

Unique identifier for an Item

Responses

204

Success - return response 204 no content

400

A failed request due to validation error

DELETE /Items/{ItemID}
GET /Items/{ItemID}
operationId: Accounting_getItemById

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ItemID path optional string

Unique identifier for an Item

unitdp query optional integer

e.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

Responses

200

Success - return response of type Items array with specified Item

GET /Items/{ItemID}
POST /Items/{ItemID}
operationId: Accounting_updateItem

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ItemID path optional string

Unique identifier for an Item

unitdp query optional integer

e.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required
application/json
schema Items
Property Type Required
Items array optional
Code string required
Name string optional
IsSold boolean optional
ItemID string optional
Description string optional
IsPurchased boolean optional
SalesDetails object optional
TaxType string optional
UnitPrice number optional
AccountCode string optional
COGSAccountCode string optional
TotalCostPool number optional
QuantityOnHand number optional
UpdatedDateUTC string optional
PurchaseDetails object optional
TaxType string optional
UnitPrice number optional
AccountCode string optional
COGSAccountCode string optional
ValidationErrors array optional
Message string optional
PurchaseDescription string optional
IsTrackedAsInventory boolean optional
StatusAttributeString string optional
InventoryAssetAccountCode string optional

Responses

200

Success - return response of type Items array with updated Item

400

A failed request due to validation error

POST /Items/{ItemID}
GET /Items/{ItemID}/History
operationId: Accounting_getItemHistory

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ItemID path optional string

Unique identifier for an Item

Responses

200

Success - return response of HistoryRecords array of 0 to N HistoryRecord

GET /Items/{ItemID}/History
PUT /Items/{ItemID}/History
operationId: Accounting_createItemHistoryRecord

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

ItemID path optional string

Unique identifier for an Item

Request Body

HistoryRecords containing an array of HistoryRecord objects in body of request

application/json
schema HistoryRecords
Property Type Required
HistoryRecords array optional
User string optional
Changes string optional
DateUTC string optional
Details string optional

Responses

200

Success - return response of type HistoryRecords array of HistoryRecord objects

PUT /Items/{ItemID}/History
GET /Journals
operationId: Accounting_getJournals

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

If-Modified-Since header optional string

Only records created or modified since this timestamp will be returned

offset query optional integer

Offset by a specified journal number. e.g. journals with a JournalNumber greater than the offset will be returned

paymentsOnly query optional boolean

Filter to retrieve journals on a cash basis. Journals are returned on an accrual basis by default.

Responses

200

Success - return response of type Journals array with all Journals

GET /Journals
GET /Journals/{JournalID}
operationId: Accounting_getJournalById

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

JournalID path optional string

Unique identifier for a Journal

Responses

200

Success - return response of type Journals array with specified Journal

GET /Journals/{JournalID}
GET /Journals/{JournalNumber}
operationId: Accounting_getJournalByNumber

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

JournalNumber path optional integer

Number of a Journal

Responses

200

Success - return response of type Journals array with specified Journal

GET /Journals/{JournalNumber}
GET /LinkedTransactions
operationId: Accounting_getLinkedTransactions

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

page query optional integer

Up to 100 linked transactions will be returned in a single API call. Use the page parameter to specify the page to be returned e.g. page=1.

LinkedTransactionID query optional string

The Xero identifier for an Linked Transaction

SourceTransactionID query optional string

Filter by the SourceTransactionID. Get the linked transactions created from a particular ACCPAY invoice

ContactID query optional string

Filter by the ContactID. Get all the linked transactions that have been assigned to a particular customer.

Status query optional string

Filter by the combination of ContactID and Status. Get the linked transactions associated to a customer and with a status

TargetTransactionID query optional string

Filter by the TargetTransactionID. Get all the linked transactions allocated to a particular ACCREC invoice

Responses

200

Success - return response of type LinkedTransactions array with all LinkedTransaction

GET /LinkedTransactions
PUT /LinkedTransactions
operationId: Accounting_createLinkedTransactions

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required

LinkedTransaction object in body of request

application/json
schema LinkedTransaction
Property Type Required
Type string optional
Status string optional
ContactID string optional
UpdatedDateUTC string optional
SourceLineItemID string optional
TargetLineItemID string optional
ValidationErrors array optional
Message string optional
LinkedTransactionID string optional
SourceTransactionID string optional
TargetTransactionID string optional
SourceTransactionTypeCode string optional

Responses

200

Success - return response of type LinkedTransactions array with newly created LinkedTransaction

400

A failed request due to validation error

PUT /LinkedTransactions
DELETE /LinkedTransactions/{LinkedTransactionID}
operationId: Accounting_deleteLinkedTransaction

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

LinkedTransactionID path optional string

Unique identifier for a LinkedTransaction

Responses

204

Success - return response 204 no content

400

A failed request due to validation error

DELETE /LinkedTransactions/{LinkedTransactionID}
GET /LinkedTransactions/{LinkedTransactionID}
operationId: Accounting_getLinkedTransaction

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

LinkedTransactionID path optional string

Unique identifier for a LinkedTransaction

Responses

200

Success - return response of type LinkedTransactions array with a specified LinkedTransaction

GET /LinkedTransactions/{LinkedTransactionID}
POST /LinkedTransactions/{LinkedTransactionID}
operationId: Accounting_updateLinkedTransaction

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

LinkedTransactionID path optional string

Unique identifier for a LinkedTransaction

Request Body

required
application/json
schema LinkedTransactions
Property Type Required
LinkedTransactions array optional
Type string optional
Status string optional
ContactID string optional
UpdatedDateUTC string optional
SourceLineItemID string optional
TargetLineItemID string optional
ValidationErrors array optional
Message string optional
LinkedTransactionID string optional
SourceTransactionID string optional
TargetTransactionID string optional
SourceTransactionTypeCode string optional

Responses

200

Success - return response of type LinkedTransactions array with updated LinkedTransaction

400

Success - return response of type LinkedTransactions array with updated LinkedTransaction

POST /LinkedTransactions/{LinkedTransactionID}
GET /ManualJournals
operationId: Accounting_getManualJournals

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

If-Modified-Since header optional string

Only records created or modified since this timestamp will be returned

where query optional string

Filter by an any element

order query optional string

Order by an any element

page query optional integer

e.g. page=1 – Up to 100 manual journals will be returned in a single API call with line items shown for each overpayment

Responses

200

Success - return response of type ManualJournals array with a all ManualJournals

GET /ManualJournals
POST /ManualJournals
operationId: Accounting_updateOrCreateManualJournal

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

summarizeErrors query optional boolean

If false return 200 OK and mix of successfully created objects and any with validation errors

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required

ManualJournals array with ManualJournal object in body of request

application/json
schema ManualJournals
Property Type Required
ManualJournals array optional
Url string optional
Date string optional
Status string optional
Warnings array optional
Message string optional
Narration string required
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
JournalLines array optional
IsBlank boolean optional
TaxType string optional
Tracking array optional
Name string optional
Option string optional
Status string optional
Options array optional
TrackingOptionID string optional
TrackingCategoryID string optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
AccountCode string optional
Description string optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
ManualJournalID string optional
ValidationErrors array optional
Message string optional
StatusAttributeString string optional
ShowOnCashBasisReports boolean optional

Responses

200

Success - return response of type ManualJournals array with newly created ManualJournal

400

A failed request due to validation error

POST /ManualJournals
PUT /ManualJournals
operationId: Accounting_createManualJournals

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

summarizeErrors query optional boolean

If false return 200 OK and mix of successfully created objects and any with validation errors

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required

ManualJournals array with ManualJournal object in body of request

application/json
schema ManualJournals
Property Type Required
ManualJournals array optional
Url string optional
Date string optional
Status string optional
Warnings array optional
Message string optional
Narration string required
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
JournalLines array optional
IsBlank boolean optional
TaxType string optional
Tracking array optional
Name string optional
Option string optional
Status string optional
Options array optional
TrackingOptionID string optional
TrackingCategoryID string optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
AccountCode string optional
Description string optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
ManualJournalID string optional
ValidationErrors array optional
Message string optional
StatusAttributeString string optional
ShowOnCashBasisReports boolean optional

Responses

200

Success - return response of type ManualJournals array with newly created ManualJournal

400

A failed request due to validation error

PUT /ManualJournals
GET /ManualJournals/{ManualJournalID}
operationId: Accounting_getManualJournal

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ManualJournalID path optional string

Unique identifier for a ManualJournal

Responses

200

Success - return response of type ManualJournals array with a specified ManualJournals

GET /ManualJournals/{ManualJournalID}
POST /ManualJournals/{ManualJournalID}
operationId: Accounting_updateManualJournal

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

ManualJournalID path optional string

Unique identifier for a ManualJournal

Request Body

required
application/json
schema ManualJournals
Property Type Required
ManualJournals array optional
Url string optional
Date string optional
Status string optional
Warnings array optional
Message string optional
Narration string required
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
JournalLines array optional
IsBlank boolean optional
TaxType string optional
Tracking array optional
Name string optional
Option string optional
Status string optional
Options array optional
TrackingOptionID string optional
TrackingCategoryID string optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
AccountCode string optional
Description string optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
ManualJournalID string optional
ValidationErrors array optional
Message string optional
StatusAttributeString string optional
ShowOnCashBasisReports boolean optional

Responses

200

Success - return response of type ManualJournals array with an updated ManualJournal

400

A failed request due to validation error

POST /ManualJournals/{ManualJournalID}
GET /ManualJournals/{ManualJournalID}/Attachments
operationId: Accounting_getManualJournalAttachments

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ManualJournalID path optional string

Unique identifier for a ManualJournal

Responses

200

Success - return response of type Attachments array with all Attachments for a ManualJournals

GET /ManualJournals/{ManualJournalID}/Attachments
GET /ManualJournals/{ManualJournalID}/Attachments/{AttachmentID}
operationId: Accounting_getAttachment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ManualJournalID path optional string

Unique identifier for a ManualJournal

AttachmentID path optional string

Unique identifier for Attachment object

contentType header optional string

The mime type of the attachment file you are retrieving i.e image/jpg, application/pdf

Responses

200

Success - return response of attachment for Manual Journal as binary data

GET /ManualJournals/{ManualJournalID}/Attachments/{AttachmentID}
GET /ManualJournals/{ManualJournalID}/Attachments/{FileName}
operationId: Accounting_getSpecificAttachment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ManualJournalID path optional string

Unique identifier for a ManualJournal

FileName path optional string

Name of the attachment

contentType header optional string

The mime type of the attachment file you are retrieving i.e image/jpg, application/pdf

Responses

200

Success - return response of attachment for Manual Journal as binary data

GET /ManualJournals/{ManualJournalID}/Attachments/{FileName}
POST /ManualJournals/{ManualJournalID}/Attachments/{FileName}
operationId: Accounting_updateSpecificAttachment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

ManualJournalID path optional string

Unique identifier for a ManualJournal

FileName path optional string

Name of the attachment

Request Body

required

Byte array of file in body of request

application/octet-stream
schema AccountingUpdateSpecificAttachmentRequest
string

Responses

200

Success - return response of type Attachments array with an update Attachment for a ManualJournals

400

A failed request due to validation error

POST /ManualJournals/{ManualJournalID}/Attachments/{FileName}
PUT /ManualJournals/{ManualJournalID}/Attachments/{FileName}
operationId: Accounting_createSpecificAttachment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

ManualJournalID path optional string

Unique identifier for a ManualJournal

FileName path optional string

Name of the attachment

Request Body

required

Byte array of file in body of request

application/octet-stream
schema AccountingCreateSpecificAttachmentRequest
string

Responses

200

Success - return response of type Attachments array with a newly created Attachment for a ManualJournals

400

A failed request due to validation error

PUT /ManualJournals/{ManualJournalID}/Attachments/{FileName}
GET /ManualJournals/{ManualJournalID}/History
operationId: Accounting_getManualJournalHistory

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

ManualJournalID path optional string

Unique identifier for a ManualJournal

Responses

200

Success - return response of HistoryRecords array of 0 to N HistoryRecord

GET /ManualJournals/{ManualJournalID}/History
PUT /ManualJournals/{ManualJournalID}/History
operationId: Accounting_createManualJournalHistoryRecord

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

ManualJournalID path optional string

Unique identifier for a ManualJournal

Request Body

HistoryRecords containing an array of HistoryRecord objects in body of request

application/json
schema HistoryRecords
Property Type Required
HistoryRecords array optional
User string optional
Changes string optional
DateUTC string optional
Details string optional

Responses

200

Success - return response of type HistoryRecords array of HistoryRecord objects

400

A failed request due to validation error

PUT /ManualJournals/{ManualJournalID}/History
GET /Organisation
operationId: Accounting_getOrganisationDetails

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Responses

200

Success - return response of type Organisation array with all Organisation

GET /Organisation
GET /Organisation/Actions
operationId: Accounting_getOrganisationActions

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Responses

200

Success - return response of type Actions array with all key actions

GET /Organisation/Actions
GET /Organisation/{OrganisationID}/CISSettings
operationId: Accounting_getCisSettings

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

OrganisationID path optional string

The unique Xero identifier for an organisation

Responses

200

Success - return response of type Organisation array with specified Organisation

GET /Organisation/{OrganisationID}/CISSettings
GET /Overpayments
operationId: Accounting_getOverpayments

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

If-Modified-Since header optional string

Only records created or modified since this timestamp will be returned

where query optional string

Filter by an any element

order query optional string

Order by an any element

page query optional integer

e.g. page=1 – Up to 100 overpayments will be returned in a single API call with line items shown for each overpayment

unitdp query optional integer

e.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

Responses

200

Success - return response of type Overpayments array with all Overpayments

GET /Overpayments
GET /Overpayments/{OverpaymentID}
operationId: Accounting_getOverpaymentById

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

OverpaymentID path optional string

Unique identifier for a Overpayment

Responses

200

Success - return response of type Overpayments array with specified Overpayments

GET /Overpayments/{OverpaymentID}
PUT /Overpayments/{OverpaymentID}/Allocations
operationId: Accounting_createSingleAllocation

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

OverpaymentID path optional string

Unique identifier for a Overpayment

summarizeErrors query optional boolean

If false return 200 OK and mix of successfully created objects and any with validation errors

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required

Allocations array with Allocation object in body of request

application/json
schema Allocations
Property Type Required
Allocations array optional
Date string required
Amount number required
Invoice object required
Url string optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
Name string optional
Phones array optional
Website string optional
Balances object optional
Discount number optional
LastName string optional
Addresses array optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
EmailAddress string optional
PaymentTerms object optional
AccountNumber string optional
BatchPayments object optional
BrandingTheme object optional
CompanyNumber string optional
ContactGroups array optional
…22 more object optional
DueDate string optional
Payments array optional
Code string optional
Date string optional
Amount number optional
Status string optional
Account object optional
Details string optional
Invoice object optional
Warnings array optional
PaymentID string optional
Reference string optional
BankAmount number optional
CreditNote object optional
HasAccount boolean optional
Prepayment object optional
Overpayment object optional
Particulars string optional
PaymentType string optional
BatchPayment object optional
CurrencyRate number optional
IsReconciled boolean optional
…8 more object optional
SubTotal number optional
TotalTax number optional
Warnings array optional
Message string optional
AmountDue number optional
HasErrors boolean optional
InvoiceID string optional
LineItems array optional
Item object optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Reference string optional
AmountPaid number optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
CreditNotes array optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
HasErrors boolean optional
LineItems array optional
Reference string optional
Allocations array optional
CISDeduction number optional
CreditNoteID string optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
…10 more object optional
…20 more object optional
IsDeleted boolean optional
CreditNote object optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
Name string optional
Phones array optional
Website string optional
Balances object optional
Discount number optional
LastName string optional
Addresses array optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
EmailAddress string optional
PaymentTerms object optional
AccountNumber string optional
BatchPayments object optional
BrandingTheme object optional
CompanyNumber string optional
ContactGroups array optional
…22 more object optional
DueDate string optional
Payments array optional
Code string optional
Date string optional
Amount number optional
Status string optional
Account object optional
Details string optional
Invoice object optional
Warnings array optional
PaymentID string optional
Reference string optional
BankAmount number optional
CreditNote object optional
HasAccount boolean optional
Prepayment object optional
Overpayment object optional
Particulars string optional
PaymentType string optional
BatchPayment object optional
CurrencyRate number optional
IsReconciled boolean optional
…8 more object optional
SubTotal number optional
TotalTax number optional
Warnings array optional
Message string optional
HasErrors boolean optional
LineItems array optional
Item object optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Reference string optional
Allocations array optional
CISDeduction number optional
CreditNoteID string optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
…10 more object optional
Prepayment object optional
Date string optional
Type string optional
Total number optional
Status string optional
Contact object optional
Name string optional
Phones array optional
Website string optional
Balances object optional
Discount number optional
LastName string optional
Addresses array optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
EmailAddress string optional
PaymentTerms object optional
AccountNumber string optional
BatchPayments object optional
BrandingTheme object optional
CompanyNumber string optional
ContactGroups array optional
…22 more object optional
Payments array optional
Code string optional
Date string optional
Amount number optional
Status string optional
Account object optional
Details string optional
Invoice object optional
Warnings array optional
PaymentID string optional
Reference string optional
BankAmount number optional
CreditNote object optional
HasAccount boolean optional
Prepayment object optional
Overpayment object optional
Particulars string optional
PaymentType string optional
BatchPayment object optional
CurrencyRate number optional
IsReconciled boolean optional
…8 more object optional
SubTotal number optional
TotalTax number optional
LineItems array optional
Item object optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Reference string optional
Allocations array optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
CurrencyCode string optional
CurrencyRate number optional
PrepaymentID string optional
AppliedAmount number optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
RemainingCredit number optional
Overpayment object optional
Date string optional
Type string optional
Total number optional
Status string optional
Contact object optional
Name string optional
Phones array optional
Website string optional
Balances object optional
Discount number optional
LastName string optional
Addresses array optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
EmailAddress string optional
PaymentTerms object optional
AccountNumber string optional
BatchPayments object optional
BrandingTheme object optional
CompanyNumber string optional
ContactGroups array optional
…22 more object optional
Payments array optional
Code string optional
Date string optional
Amount number optional
Status string optional
Account object optional
Details string optional
Invoice object optional
Warnings array optional
PaymentID string optional
Reference string optional
BankAmount number optional
CreditNote object optional
HasAccount boolean optional
Prepayment object optional
Overpayment object optional
Particulars string optional
PaymentType string optional
BatchPayment object optional
CurrencyRate number optional
IsReconciled boolean optional
…8 more object optional
SubTotal number optional
TotalTax number optional
LineItems array optional
Item object optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Allocations array optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
OverpaymentID string optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
RemainingCredit number optional
AllocationID string optional
ValidationErrors array optional
Message string optional
StatusAttributeString string optional

Responses

200

Success - return response of type Allocations array with all Allocation for Overpayments

400

A failed request due to validation error

PUT /Overpayments/{OverpaymentID}/Allocations
DELETE /Overpayments/{OverpaymentID}/Allocations/{AllocationID}
operationId: Accounting_deleteAllocationFromOverpayment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

OverpaymentID path optional string

Unique identifier for a Overpayment

AllocationID path optional string

Unique identifier for Allocation object

Responses

200

Success - return response of type Allocation with the isDeleted flag as true

DELETE /Overpayments/{OverpaymentID}/Allocations/{AllocationID}
GET /Overpayments/{OverpaymentID}/History
operationId: Accounting_getOverpaymentHistory

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

OverpaymentID path optional string

Unique identifier for a Overpayment

Responses

200

Success - return response of HistoryRecords array of 0 to N HistoryRecord

GET /Overpayments/{OverpaymentID}/History
PUT /Overpayments/{OverpaymentID}/History
operationId: Accounting_recordOverpaymentHistory

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

OverpaymentID path optional string

Unique identifier for a Overpayment

Request Body

HistoryRecords containing an array of HistoryRecord objects in body of request

application/json
schema HistoryRecords
Property Type Required
HistoryRecords array optional
User string optional
Changes string optional
DateUTC string optional
Details string optional

Responses

200

Success - return response of type HistoryRecords array of HistoryRecord objects

400

A failed request due to validation error - API is not able to create HistoryRecord for Overpayments

PUT /Overpayments/{OverpaymentID}/History
GET /PaymentServices
operationId: Accounting_getPaymentServices

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Responses

200

Success - return response of type PaymentServices array for all PaymentService

GET /PaymentServices
PUT /PaymentServices
operationId: Accounting_createPaymentService

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required

PaymentServices array with PaymentService object in body of request

application/json
schema PaymentServices
Property Type Required
PaymentServices array optional
PayNowText string optional
PaymentServiceID string optional
ValidationErrors array optional
Message string optional
PaymentServiceUrl string optional
PaymentServiceName string optional
PaymentServiceType string optional

Responses

200

Success - return response of type PaymentServices array for newly created PaymentService

400

A failed request due to validation error

PUT /PaymentServices
GET /Payments
operationId: Accounting_getPaymentsForInvoicesAndCreditNotes

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

If-Modified-Since header optional string

Only records created or modified since this timestamp will be returned

where query optional string

Filter by an any element

order query optional string

Order by an any element

page query optional integer

Up to 100 payments will be returned in a single API call

Responses

200

Success - return response of type Payments array for all Payments

GET /Payments
POST /Payments
operationId: Accounting_createSinglePayment

Parameters

Name In Required Type Description
xero-tenant-id header optional string

Xero identifier for Tenant

Idempotency-Key header optional string

This allows you to safely retry requests without the risk of duplicate processing. 128 character max.

Request Body

required

Request body with a single Payment object

application/json
schema Payment
Property Type Required
Code string optional
Date string optional
Amount number optional
Status string optional
Account object optional
Code string optional
Name string optional
Type string optional
Class string optional
Status string optional
TaxType string optional
AccountID string optional
Description string optional
CurrencyCode string optional
ReportingCode string optional
SystemAccount string optional
AddToWatchlist boolean optional
HasAttachments boolean optional
UpdatedDateUTC string optional
BankAccountType string optional
ValidationErrors array optional
Message string optional
BankAccountNumber string optional
ReportingCodeName string optional
ShowInExpenseClaims boolean optional
EnablePaymentsToAccount boolean optional
Details string optional
Invoice object optional
Url string optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
Name string optional
Phones array optional
PhoneType string optional
PhoneNumber string optional
PhoneAreaCode string optional
PhoneCountryCode string optional
Website string optional
Balances object optional
AccountsPayable object optional
AccountsReceivable object optional
Discount number optional
LastName string optional
Addresses array optional
City string optional
Region string optional
Country string optional
PostalCode string optional
AddressType string optional
AttentionTo string optional
AddressLine1 string optional
AddressLine2 string optional
AddressLine3 string optional
AddressLine4 string optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
EmailAddress string optional
PaymentTerms object optional
Bills object optional
Sales object optional
AccountNumber string optional
BatchPayments object optional
Code string optional
Details string optional
Reference string optional
BankAccountName string optional
BankAccountNumber string optional
BrandingTheme object optional
Name string optional
Type string optional
LogoUrl string optional
SortOrder integer optional
CreatedDateUTC string optional
BrandingThemeID string optional
CompanyNumber string optional
ContactGroups array optional
Name string optional
Status string optional
Contacts array optional
ContactGroupID string optional
…22 more object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
Message string optional
AmountDue number optional
HasErrors boolean optional
InvoiceID string optional
LineItems array optional
Item object optional
Code string optional
Name string optional
ItemID string optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
Name string optional
Option string optional
TrackingOptionID string optional
TrackingCategoryID string optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Reference string optional
AmountPaid number optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
CreditNotes array optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
Name string optional
Phones array optional
Website string optional
Balances object optional
Discount number optional
LastName string optional
Addresses array optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
EmailAddress string optional
PaymentTerms object optional
AccountNumber string optional
BatchPayments object optional
BrandingTheme object optional
CompanyNumber string optional
ContactGroups array optional
…22 more object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
Message string optional
HasErrors boolean optional
LineItems array optional
Item object optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Reference string optional
Allocations array optional
Date string required
Amount number required
Invoice object required
IsDeleted boolean optional
CreditNote object optional
Prepayment object optional
Overpayment object optional
AllocationID string optional
ValidationErrors array optional
StatusAttributeString string optional
CISDeduction number optional
CreditNoteID string optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
…10 more object optional
…20 more object optional
Warnings array optional
Message string optional
PaymentID string optional
Reference string optional
BankAmount number optional
CreditNote object optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
Name string optional
Phones array optional
PhoneType string optional
PhoneNumber string optional
PhoneAreaCode string optional
PhoneCountryCode string optional
Website string optional
Balances object optional
AccountsPayable object optional
AccountsReceivable object optional
Discount number optional
LastName string optional
Addresses array optional
City string optional
Region string optional
Country string optional
PostalCode string optional
AddressType string optional
AttentionTo string optional
AddressLine1 string optional
AddressLine2 string optional
AddressLine3 string optional
AddressLine4 string optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
EmailAddress string optional
PaymentTerms object optional
Bills object optional
Sales object optional
AccountNumber string optional
BatchPayments object optional
Code string optional
Details string optional
Reference string optional
BankAccountName string optional
BankAccountNumber string optional
BrandingTheme object optional
Name string optional
Type string optional
LogoUrl string optional
SortOrder integer optional
CreatedDateUTC string optional
BrandingThemeID string optional
CompanyNumber string optional
ContactGroups array optional
Name string optional
Status string optional
Contacts array optional
ContactGroupID string optional
…22 more object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
Message string optional
HasErrors boolean optional
LineItems array optional
Item object optional
Code string optional
Name string optional
ItemID string optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
Name string optional
Option string optional
TrackingOptionID string optional
TrackingCategoryID string optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Reference string optional
Allocations array optional
Date string required
Amount number required
Invoice object required
Url string optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
AmountDue number optional
HasErrors boolean optional
InvoiceID string optional
LineItems array optional
Reference string optional
AmountPaid number optional
Attachments array optional
CreditNotes array optional
…20 more object optional
IsDeleted boolean optional
CreditNote object optional
Prepayment object optional
Date string optional
Type string optional
Total number optional
Status string optional
Contact object optional
Payments array optional
SubTotal number optional
TotalTax number optional
LineItems array optional
Reference string optional
Allocations array optional
Attachments array optional
CurrencyCode string optional
CurrencyRate number optional
PrepaymentID string optional
AppliedAmount number optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
RemainingCredit number optional
Overpayment object optional
Date string optional
Type string optional
Total number optional
Status string optional
Contact object optional
Payments array optional
SubTotal number optional
TotalTax number optional
LineItems array optional
Allocations array optional
Attachments array optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
OverpaymentID string optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
RemainingCredit number optional
AllocationID string optional
ValidationErrors array optional
Message string optional
StatusAttributeString string optional
CISDeduction number optional
CreditNoteID string optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
…10 more object optional
HasAccount boolean optional
Prepayment object optional
Date string optional
Type string optional
Total number optional
Status string optional
Contact object optional
Name string optional
Phones array optional
PhoneType string optional
PhoneNumber string optional
PhoneAreaCode string optional
PhoneCountryCode string optional
Website string optional
Balances object optional
AccountsPayable object optional
AccountsReceivable object optional
Discount number optional
LastName string optional
Addresses array optional
City string optional
Region string optional
Country string optional
PostalCode string optional
AddressType string optional
AttentionTo string optional
AddressLine1 string optional
AddressLine2 string optional
AddressLine3 string optional
AddressLine4 string optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
EmailAddress string optional
PaymentTerms object optional
Bills object optional
Sales object optional
AccountNumber string optional
BatchPayments object optional
Code string optional
Details string optional
Reference string optional
BankAccountName string optional
BankAccountNumber string optional
BrandingTheme object optional
Name string optional
Type string optional
LogoUrl string optional
SortOrder integer optional
CreatedDateUTC string optional
BrandingThemeID string optional
CompanyNumber string optional
ContactGroups array optional
Name string optional
Status string optional
Contacts array optional
ContactGroupID string optional
…22 more object optional
Payments array optional
SubTotal number optional
TotalTax number optional
LineItems array optional
Item object optional
Code string optional
Name string optional
ItemID string optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
Name string optional
Option string optional
TrackingOptionID string optional
TrackingCategoryID string optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Reference string optional
Allocations array optional
Date string required
Amount number required
Invoice object required
Url string optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
AmountDue number optional
HasErrors boolean optional
InvoiceID string optional
LineItems array optional
Reference string optional
AmountPaid number optional
Attachments array optional
CreditNotes array optional
…20 more object optional
IsDeleted boolean optional
CreditNote object optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
HasErrors boolean optional
LineItems array optional
Reference string optional
Allocations array optional
CISDeduction number optional
CreditNoteID string optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
…10 more object optional
Prepayment object optional
Overpayment object optional
Date string optional
Type string optional
Total number optional
Status string optional
Contact object optional
Payments array optional
SubTotal number optional
TotalTax number optional
LineItems array optional
Allocations array optional
Attachments array optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
OverpaymentID string optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
RemainingCredit number optional
AllocationID string optional
ValidationErrors array optional
Message string optional
StatusAttributeString string optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
CurrencyCode string optional
CurrencyRate number optional
PrepaymentID string optional
AppliedAmount number optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
RemainingCredit number optional
Overpayment object optional
Date string optional
Type string optional
Total number optional
Status string optional
Contact object optional
Name string optional
Phones array optional
PhoneType string optional
PhoneNumber string optional
PhoneAreaCode string optional
PhoneCountryCode string optional
Website string optional
Balances object optional
AccountsPayable object optional
AccountsReceivable object optional
Discount number optional
LastName string optional
Addresses array optional
City string optional
Region string optional
Country string optional
PostalCode string optional
AddressType string optional
AttentionTo string optional
AddressLine1 string optional
AddressLine2 string optional
AddressLine3 string optional
AddressLine4 string optional
ContactID string optional
FirstName string optional
TaxNumber string optional
IsCustomer boolean optional
IsSupplier boolean optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
EmailAddress string optional
PaymentTerms object optional
Bills object optional
Sales object optional
AccountNumber string optional
BatchPayments object optional
Code string optional
Details string optional
Reference string optional
BankAccountName string optional
BankAccountNumber string optional
BrandingTheme object optional
Name string optional
Type string optional
LogoUrl string optional
SortOrder integer optional
CreatedDateUTC string optional
BrandingThemeID string optional
CompanyNumber string optional
ContactGroups array optional
Name string optional
Status string optional
Contacts array optional
ContactGroupID string optional
…22 more object optional
Payments array optional
SubTotal number optional
TotalTax number optional
LineItems array optional
Item object optional
Code string optional
Name string optional
ItemID string optional
TaxType string optional
ItemCode string optional
Quantity number optional
Tracking array optional
Name string optional
Option string optional
TrackingOptionID string optional
TrackingCategoryID string optional
AccountID string optional
TaxAmount number optional
LineAmount number optional
LineItemID string optional
UnitAmount number optional
AccountCode string optional
Description string optional
DiscountRate number optional
DiscountAmount number optional
RepeatingInvoiceID string optional
Allocations array optional
Date string required
Amount number required
Invoice object required
Url string optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
AmountDue number optional
HasErrors boolean optional
InvoiceID string optional
LineItems array optional
Reference string optional
AmountPaid number optional
Attachments array optional
CreditNotes array optional
…20 more object optional
IsDeleted boolean optional
CreditNote object optional
Date string optional
Type string optional
Total number optional
Status string optional
CISRate number optional
Contact object optional
DueDate string optional
Payments array optional
SubTotal number optional
TotalTax number optional
Warnings array optional
HasErrors boolean optional
LineItems array optional
Reference string optional
Allocations array optional
CISDeduction number optional
CreditNoteID string optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
…10 more object optional
Prepayment object optional
Date string optional
Type string optional
Total number optional
Status string optional
Contact object optional
Payments array optional
SubTotal number optional
TotalTax number optional
LineItems array optional
Reference string optional
Allocations array optional
Attachments array optional
CurrencyCode string optional
CurrencyRate number optional
PrepaymentID string optional
AppliedAmount number optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
RemainingCredit number optional
Overpayment object optional
AllocationID string optional
ValidationErrors array optional
Message string optional
StatusAttributeString string optional
Attachments array optional
Url string optional
FileName string optional
MimeType string optional
AttachmentID string optional
ContentLength integer optional
IncludeOnline boolean optional
CurrencyCode string optional
CurrencyRate number optional
AppliedAmount number optional
OverpaymentID string optional
HasAttachments boolean optional
UpdatedDateUTC string optional
LineAmountTypes string optional
RemainingCredit number optional
Particulars string optional
PaymentType string optional
BatchPayment object optional
Code string optional
Date string optional
Type string optional
Amount number optional
Status string optional
Account object optional
Code string optional
Name string optional
Type string optional
Class string optional
Status string optional
TaxType string optional
AccountID string optional
Description string optional
CurrencyCode string optional
ReportingCode string optional
SystemAccount string optional
AddToWatchlist boolean optional
HasAttachments boolean optional
UpdatedDateUTC string optional
BankAccountType string optional
ValidationErrors array optional
Message string optional
BankAccountNumber string optional
ReportingCodeName string optional
ShowInExpenseClaims boolean optional
EnablePaymentsToAccount boolean optional
Details string optional
Payments array optional
Narrative string optional
Reference string optional
DateString string optional
Particulars string optional
TotalAmount number optional
IsReconciled boolean optional
BatchPaymentID string optional
UpdatedDateUTC string optional
ValidationErrors array optional
Message string optional
CurrencyRate number optional
IsReconciled boolean optional
…8 more object optional

Responses

200

Success - return response of type Payments array for newly created Payment

400

A failed request due to validation error

POST /Payments
Load more endpoints